Skip to main content
`Ctrl`+`K`

# BVDuplicate

Creates a new basis vectors object of the same type and dimensions as an existing one.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVDuplicate(BV V,BV *W)

Collective

## Input Parameter

- V - basis vectors context

## Output Parameter

- W - location to put the new `BV`

## Notes

The new `BV` has the same type and dimensions as `V`. Also, the inner product matrix and orthogonalization options are copied.

`BVDuplicate()` DOES NOT COPY the entries, but rather allocates storage for the new basis vectors. Use `BVCopy()` to copy the content.

## See Also

BV: Basis Vectors, `BVDuplicateResize()`, `BVCreate()`, `BVSetSizesFromVec()`, `BVCopy()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVDuplicate_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages